import pygame

class Player:
    def __init__(self, x, y):
        self.image = pygame.image.load("asset/player.png")
        self.rect = self.image.get_rect(center=(x, y))
        self.velocity = [0, 0]

    def move(self, mouse_pos):
        self.velocity[0] = (mouse_pos[0] - self.rect.centerx)
        self.velocity[1] = (mouse_pos[1] - self.rect.centery)
        self.rect.move_ip(self.velocity)

    def draw(self, screen):
        screen.blit(self.image, self.rect)